namespace Generator_Class_BD.Clases.NetCore._4.Interfaces_Comunes
{
    using Generator_Class_BD.Clases.Consultas;
    using Generator_Class_BD.Clases.NetCore._4.Interfaces_Comunes.Accion;
    using Generator_Class_BD.Clases.Transversales.DTO;
    using System.Data;

    public class InterfacesComunes
    {
        internal static void GenerarDTO(string vNombreClase, DataSet dsCol, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseDTO.GenerarDTO(vNombreClase, dsCol, txtRuta,  TxtSolucion,  autor,  company);
        }

        internal static void GenerarAcciones(string vNombreClase, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseAccion.GenerarAcciones( vNombreClase,  txtRuta,  TxtSolucion,  autor,  company);
        }

        internal static void GenerarConsultasDTO(Consulta consulta, string ruta, string nombreSolucion, string autor, string compañia)
        {
            ClaseDTO.GenerarConsultasDTO( consulta,  ruta,  nombreSolucion,  autor,  compañia);
        }

        internal static void GenerarAccionesConsultas(string vNombreClase, string txtRuta, string TxtSolucion, string autor, string company)
        {
            ClaseAccion.GenerarAccionesConsultas( vNombreClase,  txtRuta,  TxtSolucion,  autor,  company);
        }
    }
}